#ifndef _DLL_Mobile_DLL_Mobile_h
#define _DLL_Mobile_DLL_Mobile_h

#include "Dll/Structures.h"

#if defined(_WIN32)
  #define LIBRARY_API __declspec(dllexport)
#else
  #define LIBRARY_API
#endif

#define DllImport extern "C" __declspec(dllimport)
#define DllExport extern "C" __declspec(dllexport)

#ifdef flagDLL
	#define DLLIMPORT __declspec(dllexport)
#else
	#define DLLIMPORT __declspec(dllimport)
#endif



extern "C" void LIBRARY_API PointToPoint(PointToPoint_Input_Parameters &input, PointToPoint_Output_Parameters &output);
extern "C" void LIBRARY_API LineCalc(PointToPoint_Input_Parameters &input, PointToPoint_Output_Parameters &output);
extern "C" void LIBRARY_API CbrCalc(PointToPoint_Input_Parameters &input, PointToPoint_Output_Parameters &output);					 
extern "C" void LIBRARY_API GetInfoString(char* outputString);
extern "C" void LIBRARY_API GetStructureSizes(int* sizeIn, int* sizeOut);
extern "C" void LIBRARY_API GetErrorMessage(int errorCode, char* outputString, int bufferSize);
extern "C" void LIBRARY_API GetInfoMessage(int infoCode, char* outputString, int bufferSize);
									 
#endif
